package llc.arma.ble.domain.repository

import llc.arma.ble.domain.model.Rotation

interface RotationsRepository {

    suspend fun saveRotations(rotations: List<Rotation>)

    suspend fun getRotationsBySerial(serial: String): List<Rotation>

    suspend fun deleteRotationsBySerial(serial: String)

    suspend fun getWheelRadiusBySerial(serial: String): Long?

    suspend fun setWheelRadius(serial: String, radius: Long)

}